<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 
if (isset($_GET['id'])) {
    $id = abs(intval($_GET['id']));
} else {
    $id = 0;
} 
if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

    show_title('site.png', 'История голосований');
    $config['newtitle'] = 'История голосований';

    $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `vote` WHERE `vote_closed`=? ORDER BY `vote_time`;", array(1));

    if ($total > 0) {
        if ($start >= $total) {
            $start = 0;
        } 

        $queryvote = DB :: $dbh -> query("SELECT * FROM `vote` WHERE `vote_closed`=? ORDER BY `vote_time` DESC LIMIT " . $start . ", " . $config['allvotes'] . ";", array(1));

        while ($data = $queryvote -> fetch()) {
            echo '<div class="b">';
            echo '<img src="../images/img/luggage.gif" alt="image" /> <b><a href="history.php?act=result&amp;id=' . $data['vote_id'] . '&amp;start=' . $start . '&amp;' . SID . '">' . $data['vote_title'] . '</a></b></div>';
            echo '<div>Создано: ' . date_fixed($data['vote_time']) . '<br />';
            echo 'Всего голосов: ' . $data['vote_count'] . '</div>';
        } 

        page_strnavigation('history.php?', $config['allvotes'], $start, $total);
    } else {
        show_error('Голосований в архиве еще нет!');
    } 
    break;
# ###########################################################################################
# #                                      Голосование                                       ##
# ###########################################################################################
case 'result':
    show_title('site.png', 'Результаты голосований');

    $queryvote = DB :: $dbh -> query("SELECT * FROM `vote` WHERE `vote_id`=? LIMIT 1;", array($id));
    $votes = $queryvote -> fetch();

    if (!empty($votes)) {
        if (!empty($votes['vote_closed'])) {
            $config['newtitle'] = $votes['vote_title'];

            echo '<img src="../images/img/luggage.gif" alt="image" /> <b>' . $votes['vote_title'] . '</b> (Голосов: ' . $votes['vote_count'] . ')<br /><br />';

            $queryanswer = DB :: $dbh -> query("SELECT `answer_option`, `answer_result` FROM `voteanswer` WHERE `answer_vote_id`=? ORDER BY `answer_id`;", array($id));
            $answer = $queryanswer -> fetchAssoc();

            $total = count($answer);

            if ($total > 0) {
                $sum = $votes['vote_count'];
                $max = max($answer);

                if (empty($sum)) {
                    $sum = 1;
                } 
                if (empty($max)) {
                    $max = 1;
                } 

                foreach($answer as $key => $data) {
                    $proc = round(($data * 100) / $sum, 1);
                    $maxproc = round(($data * 200) / $max);

                    echo '<b>' . $key . '</b> (Голосов: ' . $data . ')<br />';
                    echo '<img src="' . BASEDIR . 'gallery/graph.php?rat=' . $maxproc . '&amp;per=' . $proc . '" alt="' . $proc . '%" /><br /><br />';
                } 

                echo 'Вариантов: <b>' . $total . '</b><br /><br />';
            } else {
                show_error('Ошибка! Для данного голосования не созданы варианты ответов!');
            } 
        } else {
            show_error('Ошибка! Данного опроса не существует в истории!');
        } 
    } else {
        show_error('Ошибка! Данного голосования не существует!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="history.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
    break;

default:
    header("location: history.php?" . SID);
    endswitch;

    echo '<img src="../images/img/stat.gif" alt="image" /> <a href="index.php?' . SID . '">Список голосований</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

    include_once ('../themes/' . $config['themes'] . '/foot.php');

    ?>
